Support » Plugin: WooCommerce » WooCommerce update is breaking admin ajax for other plugins

  • Resolved slewisma

    (@slewisma)


    The WooCommerce update that just rolled out to fix the security issue is breaking admin ajax for other plugins like Toolset’s AJAX filters in their Views and Custom Archives. Since this rolled out automatically in many cases because of the severity of the security issue, many sites are now having 500 server errors that may only be detectable by looking at the javascript console or server error logs but that are breaking things that have been working fine. This needs urgent attention!

Viewing 6 replies - 1 through 6 (of 6 total)
  • I having the same issue with latest woocommerce 5.51 update causing blank admin screen and followed 504 gateway error. I used ftp to rename the woocommerce folder under the plugins folder and was able to gain access to the admin panel, deleted woocommerce plugin and reinstall woocommerce 5.42 and working fine

    Thread Starter slewisma

    (@slewisma)

    But WC 5.4.2 has a big, now well known security issue so the update was pretty important. Choosing between server errors and a major vulnerability isn’t a good choice to have to make.

    I am currently facing the same issue and I don’t know where to start from, whether to downgrade to the previous version or remain with the issues until resolution is found.

    In the same boat — let us know if you find a solution!

    Plugin Support kellymetal a11n

    (@kellymetal)

    Hi there,

    But WC 5.4.2 has a big, now well known security issue so the update was pretty important. Choosing between server errors and a major vulnerability isn’t a good choice to have to make.

    5.4.2 is the latest release for the 5.4 branch, and includes a patch for the security vulnerability. There were releases for each branch to patch that security issue, so if rolling back to 5.4.2 fixes the other ajax issue you are seeing, that could be a quick fix until things are resolved with the AJAX issues. There’s more info here, and links to the releases where you can download versions:
    https://woocommerce.com/posts/critical-vulnerability-detected-july-2021/
    https://developer.woocommerce.com/releases/

    Other performance issues were found related to changes in 5.5, and are currently being worked on.

    Plugin Support Mirko P. woo-hc

    (@rainfallnixfig)

    Hi there,

    We’ve not seen any activity on this thread for a while, so I’m marking this thread as resolved.

    @slewisma if you have questions or you’re still having trouble, please open up a new topic and we’ll be happy to help out.

    Thanks.

Viewing 6 replies - 1 through 6 (of 6 total)
  • The topic ‘WooCommerce update is breaking admin ajax for other plugins’ is closed to new replies.